VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} changes 
   Caption         =   "History"
   ClientHeight    =   7815
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   16710
   OleObjectBlob   =   "changes.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "changes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private X As Variant

Private Sub cbCancel_Click()
    Me.Hide
End Sub

Private Sub cbUndo_Click()
    Call Me.delete_selected
End Sub

Private Sub lbHist_Change()
    Dim i As Integer

    For i = 0 To Me.lbHist.ListCount - 1
        If Me.lbHist.Selected(i) Then
            Me.tbPrint.Value = X(i, 7)
            Exit Sub
        End If
    Next i
End Sub

Private Sub UserForm_Activate()
    Dim fail As Boolean
    
    X = handler.list_changes("{""scenario"":{""quota_rep_descr"":""" & shData.Cells(2, 5) & """}}", fail)
    If fail Then
        Me.Hide
        Exit Sub
    End If
    Me.lbHist.list = X
    Call Utils.frmListBoxHeader(Me.lbHEAD, Me.lbHist, "Modifier", "Owner", "When", "Tag", "Comment", "Sales", "id")
End Sub

Sub delete_selected()
    Dim logid As Integer
    Dim i As Integer
    Dim fail As Boolean
    Dim proceed As Boolean
    
    If MsgBox("Permanently delete these changes?", vbOKCancel) = vbCancel Then
        Exit Sub
    End If
    
    For i = 0 To Me.lbHist.ListCount - 1
        If Me.lbHist.Selected(i) Then
            Call handler.undo_changes(X(i, 6), fail)
            If fail Then
                MsgBox ("Undo did not work.")
                Exit Sub
            End If
        End If
    Next i
    
    shOrders.PivotTables("ptOrders").PivotCache.Refresh
    
    Me.lbHist.clear
    Me.Hide
End Sub
